# Travis CI configuration

language: php

php:
  - 7.1
  - 7.2

env:
  - COMPOSER_FLAGS="--prefer-stable --prefer-lowest"
  - COMPOSER_FLAGS=""

before_script:
  - travis_retry composer self-update
  - travis_retry composer update ${COMPOSER_FLAGS} --no-interaction --prefer-source
  - travis_retry composer dump-autoload

script:
  - php vendor/bin/phpunit
